ドキュメント本文へスキップ
API

エクスポートを一覧にする

ワークスペースのすべてのエクスポートを新しい順に。

GET/exports

実際の呼び出しをワークスペースに対して実行します。

GET /exports

ワークスペースのすべてのエクスポートを新しい順に。

例

threads:read が必要です。limit と offset でページをたどり、total が全体の件数です。

curl
curl "$OE/exports?limit=10" -H "$AUTH"
レスポンス
{  "object": "list",  "data": [{      "object": "export",      "id": "exp_8c1e4a7f2b9d3e6a0c5f1b28",      "status": "ready",      "phase": null,      "createdAt": "2026-09-30T09:12:44.000Z",      "createdBy": { "name": "Ana Lima", "email": "[email protected]" },      "startedAt": "2026-09-30T09:12:46.000Z",      "finishedAt": "2026-09-30T09:31:02.000Z",      "expiresAt": "2027-09-30T09:31:02.000Z",      "sizeBytes": 1840233472,      "fileName": "acme_20260930_093102.zip",      "threadsDone": 18420,      "threadsTotal": 18420,      "error": null    }],  "total": 1,  "hasMore": false}

ワークスペースをエクスポートできるのは、そのオーナーか、すべての権限を持つロールのメンバーだけで、API キーか、すべてのアドレスで接続したアプリを使う。特定のアドレスやドメインに限定されたキーやアプリは 422 capability_unsupported になる。

リファレンス